Bug 145872 - sendmail starts on boot after update
Summary: sendmail starts on boot after update
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-22 22:07 UTC by Jeff Moe (jebba)
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-23 00:50:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Moe (jebba) 2005-01-22 22:07:09 UTC
Description of problem:
After an update of sendmail it starts on boot, even when the previous
version was set to not start on boot. So if sendmail is installed, but
not in use, a user who thinks they have it disabled will have it
re-enabled at boot when they upgrade.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2 and earlier.

How reproducible:
Get an older version of sendmail, turn it off on boot, upgrade.

Steps to Reproduce:
1.
rpm -U --oldpackage sendmail-[old version]

2.
chkconfig --del sendmail

3.
rpm -U sendmail-8.13.1-2

4.
chkconfig --list | grep sendmail    [shows sendmail on]


Actual results:
sendmail is set to start on boot.

Expected results:
sendmail is left at it's previous setting to not start on reboot.
Apache, for example, honors it's previous setting.

Additional info:
Similar to recently fixed cups bug: 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145629

Comment 1 Jeff Moe (jebba) 2005-01-23 00:50:07 UTC
sry, should be using
chkconfig sendmail off

not --del

Comment 2 Thomas Woerner 2005-01-24 16:52:15 UTC
No, you should use alternatives to set your mta.


Note You need to log in before you can comment on or make changes to this bug.